<?php
namespace OrganizationsManagement\Service\Email;
use OrganizationsManagement\Util\Mail\SmtpCore;


class EmailSolicitacao {
    public function __construct(){}

    public function enviaEmail($email, $nomeRecurso, $idOrganizacao, $nomeOrganizacao) {
        $template = $this->obtemEnderecoArquivoTemplateEmail();
        $assunto = "Solicitação para preparar organização | Teknisa";
        $conteudo = $this->traduzConteudoTemplate($template, $nomeRecurso, $idOrganizacao, $nomeOrganizacao);
        $smtpCore = new SmtpCore();
        $smtpCore->enviaHtml($email, "sac@teknisa.com", $assunto, $conteudo);
    } 
    
    public function sendEmailDeactivation($email, $nomeRecurso, $idOrganizacao, $nomeOrganizacao) {
        $template = $this->obtemEnderecoArquivoTemplateEmailDesativacao();
        $assunto = "Solicitação para desativar organização | Teknisa";
        $conteudo = $this->traduzConteudoTemplate($template, $nomeRecurso, $idOrganizacao, $nomeOrganizacao);
        $smtpCore = new SmtpCore();
        $smtpCore->enviaHtml($email, "sac@teknisa.com", $assunto, $conteudo);
    }

    private function traduzConteudoTemplate($template, $operador, $idOrganizacao, $organizacao){
        $conteudoTraduzido = file_get_contents($template);
        $conteudoTraduzido = str_replace('%nome%', $operador, $conteudoTraduzido);
        $conteudoTraduzido = str_replace('%organizacao%', $organizacao, $conteudoTraduzido);
        $conteudoTraduzido = str_replace('%idOrganizacao%', $idOrganizacao, $conteudoTraduzido);
        return $conteudoTraduzido;
    }

    private function obtemEnderecoArquivoTemplateEmail(){
        return __DIR__.'/../../Util/EmailTemplates/solicitacao_preparacao.html';
    } 
    
    private function obtemEnderecoArquivoTemplateEmailDesativacao(){
        return __DIR__.'/../../Util/EmailTemplates/solicitacao_desativacao.html';
    }
} 